﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace QuickAccessTest
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            StringData = new ObservableCollection<string>();
            DataContext = CollectionViewSource.GetDefaultView(StringData);

            InitializeComponent();
        }

        protected override void OnInitialized(EventArgs e)
        {
            base.OnInitialized(e);

            StringData.Add("Test 1");
            StringData.Add("Test 2");
            StringData.Add("Test 3");
            StringData.Add("Test 4");
        }

        public ObservableCollection<string> StringData
        {
            get;
            set;
        }

    }
}
